Last Comment Bug 709339 - [meta] First functional drop of native Sync
: [meta] First functional drop of native Sync
Status: RESOLVED FIXED
: meta
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: All Android
: -- critical
: mozilla12
Assigned To: Richard Newman [:rnewman]
:
:
Mentors:
Depends on: 695463 705765 709285 709351 709354 709355 709391 717435 717520 717869
Blocks: 714123
  Show dependency treegraph
 
Reported: 2011-12-09 14:49 PST by Allison Naaktgeboren :ally
Modified: 2013-04-04 13:48 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Part 1: Makefile change for sync_options.xml. (1.32 KB, patch)
2012-01-14 09:20 PST, Richard Newman [:rnewman]
no flags Details | Diff | Splinter Review
Part 2: code drop. (462.41 KB, patch)
2012-01-14 09:21 PST, Richard Newman [:rnewman]
no flags Details | Diff | Splinter Review

Description Allison Naaktgeboren :ally 2011-12-09 14:49:05 PST
things to have done by the dec 15ish code drop
Comment 1 Richard Newman [:rnewman] 2011-12-21 16:26:59 PST
We've re-scoped what this means.
Comment 2 Richard Newman [:rnewman] 2012-01-05 12:58:25 PST
Dropping client record handling, HMAC errors, first sync options.
Comment 3 Richard Newman [:rnewman] 2012-01-14 09:20:58 PST
Created attachment 588645 [details] [diff] [review]
Part 1: Makefile change for sync_options.xml.
Comment 4 Richard Newman [:rnewman] 2012-01-14 09:21:46 PST
Created attachment 588646 [details] [diff] [review]
Part 2: code drop.

Be careful clicking on this -- it's 460KB.
Comment 5 Richard Newman [:rnewman] 2012-01-14 09:26:19 PST
Landed:

  https://hg.mozilla.org/mozilla-central/rev/26c1b9c3ce32
  https://hg.mozilla.org/mozilla-central/rev/8fce4fbe7eb7

It's not perfect, but we knew that. QA and mobile signed off, so here it is. I will write up an email for mobile-dev and other interested parties, watch the tree, then get on a plane!

dougt, elancaster: if there are any tracking flags that you guys want to use, or want me to use, please let me know or set them. Thanks!
Comment 6 Gary [:streetwolf] 2012-01-14 14:41:43 PST
Sorry if my post is inappropriate.

I installed this version on my HTC Thunderbolt.  I found the Fx Sync app and went through the syncing process on my desktop (running Fx/12.0a1) for my bookmarks.  However they don't appear on my TBolt.

Perhaps this function is not yet activated or am I missing something?

Again my apologies if I am posting improperly.
Comment 7 Gary [:streetwolf] 2012-01-14 15:00:42 PST
Again sorry....  I finally was able to get my bookmarks to show up by going through the syncing steps again.
Comment 8 Richard Newman [:rnewman] 2012-01-25 20:39:35 PST
Landed in Aurora in Bug 721271.

Note You need to log in before you can comment on or make changes to this bug.